Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::ScopeDeleter< T > Struct Template Reference

`#include <FaissException.h>`

## Public Member Functions
| ScopeDeleter (const T *ptr=nullptr)
void | release ()
void | set (const T *ptr_in)
void | swap (ScopeDeleter< T > &other)

## Public Attributes
const T * | ptr

## Detailed Description

### template<class T>
struct faiss::ScopeDeleter< T >

bare-bones unique_ptr this one deletes with delete []

Definition at line 39 of file FaissException.h.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/FaissException.h